#include <bits/stdc++.h>
#define xx first
#define yy second
#define mp make_pair
#define pb push_back
#define ios ios_base::sync_with_stdio(false); cin.tie(0)
using namespace std;

int main()
{
    ios;
    string s,s1;
    cin>>s>>s1;
    int m = s1.length();
    int n = s.length();
    int br=0;
    if(m==1){
    for(int i =0;i<n-m;i++){
        string s2 = s.substr(i,m);
        if(s2==s1){
            for(int j =i;j<i+m;j++){
                s[j]='*';
            }
        }
    }
    }
    else {
    for(int i =m-1;i<n-m;i++){
        string s2 = s.substr(i,m);
        if(s2==s1){
            for(int j =i;j<i+m;j++){
                s[j]='*';
            }
        }
    }
    }
    for(int i =0;i<n;i++){
        if(s[i]=='*')br++;
    }
    cout<<br<<endl<<s;
    return 0;
}